- Home
- API Enriched
- Ce Management
- register
- DELETE Registration.
DELETE Registration.
DELETE
/api/register/namespaces/{namespace}/registrations/{name}
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/register/namespaces/example/registrations/example';const options = {method: 'DELETE', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/register/namespaces/example/registrations/example \ --header 'Authorization: <Authorization>'DELETE the specified registration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace in which the configuration object is present.
name
required
string
Name Name of the configuration object.
Query Parameters
Section titled “Query Parameters”fail_if_referred
boolean format: boolean
Fail the DELETE operation if this object is being referred by other objects.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Examplegenerated
exampleReturned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example